.season_switcher_content {
    max-width: 1000px;
    overflow-x: hidden;
}

.season_switcher .dropdown {
    right: 2px;
    top: 2px;
}

.season_switcher_content h1 {
    margin-top: 0;
}

tables {
    display: block;
    margin: 0 auto 2px;
}

h2 {
    margin-bottom: 3px;
    text-align: center;
}

/* Table */
standings,
main,
races,
racelist,
flags,
row,
type,
pos,
name,
total,
participant,
race,
separator {
    display: block;
}

standings {
    margin: 0 auto;
    position: relative;
}

main {
    float: left;
}

races {
    left: 222px;
    position: absolute;
    top: 0;
}

flags,
row,
type,
pos,
name,
total,
participant,
race {
    height: 20px;
    line-height: 20px;
}

type,
pos,
total,
participant,
race {
    text-align: center;
}

type,
pos,
name,
participant,
race {
    float: left;
}

total {
    position: absolute;
    right: 0;
    width: 50px;
}

name,
total,
participant,
race {
    margin-left: 2px;
}

row,
separator {
    margin-top: 2px;
}

pos {
    font-weight: bold;
    width: 20px;
}

type {
    width: 222px;
}

name {
    box-sizing: border-box;
    padding-left: 3px;
}

name abbr {
    cursor: help;
    float: right;
    font-size: 9px;
    font-style: italic;
    margin-right: 5px;
}

trophies {
    display: none;
    float: right;
    margin-right: 3px;
}

trophies span {
    margin-left: 2px;
}

.participants name {
    width: 200px;
}

.constructors name {
    width: 168px;
}

participant,
race {
    width: 30px;
}

separator {
    background-color: #888888;
    height: 4px;
    position: relative;
    width: 100%;
    z-index: 30;
}

tables:not(.scrollable) races separator {
    width: calc(100% + 52px);
}

/* Row Heights */
.rows-1,
.rows-1 .full {
    height: 20px;
}
.rows-1 .full {
    line-height: 20px;
}

.rows-2,
.rows-2 .full {
    height: 42px;
}
.rows-2 .full {
    line-height: 42px;
}

.rows-3,
.rows-3 .full {
    height: 64px;
}
.rows-3 .full {
    line-height: 64px;
}

.rows-4,
.rows-4 .full {
    height: 86px;
}
.rows-4 .full {
    line-height: 86px;
}

.rows-5,
.rows-5 .full {
    height: 108px;
}
.rows-5 .full {
    line-height: 108px;
}

/* Sorting */
.sortable {
    cursor: pointer;
    -webkit-user-select: none;
    user-select: none;
}

.row_head.sortable:hover {
    background-color: #888888;
    color: #ffffff;
}

.sortable.sel {
    background-color: #9999ff;
    color: #000000;
}

/* Widths */
tables.races-5 {
    width: 434px;
}
tables.races-5 racelist {
    width: 160px;
}
tables.races-6 {
    width: 466px;
}
tables.races-6 racelist {
    width: 192px;
}
tables.races-7 {
    width: 498px;
}
tables.races-7 racelist {
    width: 224px;
}
tables.races-8 {
    width: 530px;
}
tables.races-8 racelist {
    width: 256px;
}
tables.races-9 {
    width: 562px;
}
tables.races-9 racelist {
    width: 288px;
}
tables.races-10 {
    width: 594px;
}
tables.races-10 racelist {
    width: 320px;
}
tables.races-11 {
    width: 626px;
}
tables.races-11 racelist {
    width: 352px;
}
tables.races-12 {
    width: 658px;
}
tables.races-12 racelist {
    width: 384px;
}
tables.races-13 {
    width: 690px;
}
tables.races-13 racelist {
    width: 416px;
}
tables.races-14 {
    width: 722px;
}
tables.races-14 racelist {
    width: 448px;
}
tables.races-15 {
    width: 754px;
}
tables.races-15 racelist {
    width: 480px;
}
tables.races-16 {
    width: 786px;
}
tables.races-16 racelist {
    width: 512px;
}
tables.races-17 {
    width: 818px;
}
tables.races-17 racelist {
    width: 544px;
}
tables.races-18 {
    width: 850px;
}
tables.races-18 racelist {
    width: 576px;
}
tables.races-19 {
    width: 882px;
}
tables.races-19 racelist {
    width: 608px;
}
tables.races-20 {
    width: 914px;
}
tables.races-20 racelist {
    width: 640px;
}
tables.races-21 {
    width: 946px;
}
tables.races-21 racelist {
    width: 672px;
}
tables.races-22 {
    width: 978px;
}
tables.races-22 racelist {
    width: 704px;
}
tables.races-23 {
    width: 1010px;
}
tables.races-23 racelist {
    width: 736px;
}
tables.races-24 {
    width: 1042px;
}
tables.races-24 racelist {
    width: 768px;
}

/* Responded Layouts: max-width 1001px */
@media only screen and (max-width: 1001px) {
    h2 {
        margin-top: 3px;
    }
}

/* Scrolling tables */
@media only screen and (min-width: 481px) {
    tables.scrollable,
    tables.scrollable standings,
    tables.scrollable main {
        width: 100% !important;
    }

    tables.scrollable races {
        overflow: -moz-scrollbars-none;
        -ms-overflow-style: none;
        overflow-x: scroll;
        scrollbar-width: none;
        width: calc(100% - 274px);
    }

    tables.scrollable races::-webkit-scrollbar {
        width: 0 !important;
    }

    tables.scrollable main:before {
        background-color: #ffffff;
        content: " ";
        display: block;
        height: 100%;
        left: 222px;
        position: absolute;
        width: 2px;
        z-index: 20;
    }
}

/* Mobile Layouts: max-width 480px */
@media only screen and (max-width: 480px) {
    tables,
    main {
        width: 100% !important;
    }

    type {
        width: calc(100% - 52px);
    }

    standings name {
        width: calc(100% - 74px) !important;
    }

    trophies {
        display: block;
    }

    row,
    row .full {
        height: 20px !important;
        line-height: 20px !important;
    }

    .toggles,
    races,
    .constructors participant {
        display: none;
    }

    .sortable {
        background-color: #333333 !important;
        color: #ffffff !important;
    }
}
